#pragma once
#include <map>
struct Fish_ArenaRankingCFGData
{
	//编号
	int mID;
	//任务类型
	int mType;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具
	std::vector<int> mRewardItem;
	//奖励数量
	std::vector<int> mRewardCount;
	//上榜限制
	int mLimit;
};

class Fish_ArenaRankingCFG
{
public:
private:
	static std::auto_ptr<Fish_ArenaRankingCFG> msSingleton;
public:
	int GetCount();
	const Fish_ArenaRankingCFGData* GetData(int ID);
	const std::map<int, Fish_ArenaRankingCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_ArenaRankingCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_ArenaRankingCFGData> mMapData;
};
